Summary: sortspam
Name: sortspam
Version: 1.0.0
Release: 01
License: GPL
Group: System Enviornment/Daemons
#Source: %{name}-%{version}.tar.gz
Source0: sortspam.c
Source1: qmail-spamc.c
Source2: README.qmail-spamc
Requires: dietlibc, safecat
Packager: e-smith developers <bugs@e-smith.com>
BuildRequires: dietlibc
BuildRoot: %{_tmppath}/%{name}-root
%description

The sortspam RPM contains a few tools which can be used with spamassassin
to efficiently sort spam. qmail-spamc is a qmail-queue wrapper which uses
spamc to pass messages through spamd to be tagged with spamassassin
headers. sortspam is a local delivery agent which delivers to one of two
Maildirs based on the presence or absence of spam marker headers.

%changelog
* Thu May 08 2003 Charlie Brady <charlieb@e-smith.com> 1.0.0-01
- Initial

%prep
%setup -c -T

%build
diet -Os gcc -O2 -o sortspam %{SOURCE0}
diet -Os gcc -O2 -o qmail-spamc %{SOURCE1}

%install
mkdir -p $RPM_BUILD_ROOT/var/qmail/bin
install qmail-spamc $RPM_BUILD_ROOT/var/qmail/bin
install sortspam $RPM_BUILD_ROOT/var/qmail/bin


%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/var/qmail/bin/*
%doc $RPM_SOURCE_DIR/README.qmail-spamc
%doc $RPM_SOURCE_DIR/COPYING
